// Copyright (c) 2019 Giorgos Vougioukas
//
// The license can be found in the LICENSE file.

#ifndef _EUTERPE_WASAPI_WINDOW_H_
#define _EUTERPE_WASAPI_WINDOW_H_

//#include "euterpe/definitions.h"
#include "euterpe/euterpe_plugin.h"
#include "euterpe/ini_file.h"
#include "euterpe_wasapi/audio_streamer_wasapi_dev.h"

extern const char *(*GetSettingsPath)();

class RSE_WasapiWnd
{
public:
  RSE_WasapiWnd();
  ~RSE_WasapiWnd();

  HWND Handle() const;

  static WDL_DLGRET ST_WasapiWndProc(HWND hwnd, UINT msg, WPARAM wparam, LPARAM lparam);

private:
  WDL_DLGRET WasapiWndProc(UINT msg, WPARAM wparam, LPARAM lparam);

  HWND m_hwnd;

  RSE_IniFile *m_ini_file;

  RSE_WasapiDevice *m_devlist;
};

#endif // _EUTERPE_WASAPI_WINDOW_H_
